# log4cpp::SecondsSinceEpochComponent Struct Reference

Inheritance diagram for log4cpp::SecondsSinceEpochComponent:

[legend]
Collaboration diagram for log4cpp::SecondsSinceEpochComponent:

[legend]
List of all members.

## Public Member Functions

virtual void | append (std::ostringstream &out, const LoggingEvent &event)

## Member Function Documentation

virtual void log4cpp::SecondsSinceEpochComponent::append | ( | std::ostringstream & | out,
|  | const LoggingEvent & | event |
| ) |  |  | `[inline, virtual]`

Implements log4cpp::PatternLayout::PatternComponent.

The documentation for this struct was generated from the following file:

- PatternLayout.cpp